This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1025663 - passenger-status command shows error message when executed from user's ruby-1.8 application shell
passenger-status command shows error message when executed from user's ruby-1...
Status: CLOSED EOL
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image (Show other bugs)
2.2.0
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Jason DeTiberus
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 04:37 EDT by Ma xiaoqiang
Modified: 2017-01-13 17:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-13 17:37:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2013-11-01 04:37:06 EDT
Description of problem:
passenger-status command shows error message when executed from user's ruby-1.8 application shell
  
Version-Release number of selected component (if applicable):
puddle:[2.0-2013-10-31.2]


How reproducible:
always

Steps to Reproduce:
1.create a ruby-1.8 app
#rhc app create rb18app ruby-1.8
2.login to the app
#rhc app ssh rb18app 
3.run the command 
> passenger-status


Actual results:

Output:
/usr/bin/passenger-status:27:in `require': no such file to load -- phusion_passenger (LoadError)
        from /usr/bin/passenger-status:27 

Expected results:
----------- General information -----------
max      = 3
count    = 0
active   = 0
inactive = 0
Waiting on global queue: 0

----------- Application groups -----------

Additional info:
run this command successfully on online env.
[rubyapp-xiama.dev.rhcloud.com 527363407574bf3c9300031a]\> passenger-status 
----------- General information -----------
max      = 3
count    = 0
active   = 0
inactive = 0
Waiting on global queue: 0

----------- Application groups -----------
Comment 2 Brenton Leanhardt 2013-11-05 14:49:51 EST
This looks like a packaging problem:

From /usr/bin/passenger-status:

source_root = File.expand_path(File.dirname(__FILE__) + "/..")
$LOAD_PATH.unshift("#{source_root}/lib")
require 'phusion_passenger'
require 'phusion_passenger/platform_info'
require 'phusion_passenger/admin_tools/server_instance'
require 'optparse'

I'm assuming passenger-status isn't expecting to be at /usr/bin.  We'll just need to patch the ruby-1.8 build.
Comment 3 Yanping Zhang 2014-07-31 23:00:13 EDT
The bug can also be reproduced on ose 1.2.z/2014-07-09.2 with ruby-1.8 cartridge and same error.
Comment 5 Rory Thrasher 2017-01-13 17:37:56 EST
OpenShift Enterprise v2 has officially reached EoL.  This product is no longer supported and bugs will be closed.

Please look into the replacement enterprise-grade container option, OpenShift Container Platform v3.  https://www.openshift.com/container-platform/

More information can be found here: https://access.redhat.com/support/policy/updates/openshift/

Note You need to log in before you can comment on or make changes to this bug.